Name:           puddletag
Version:        2.0.1
Release:        %mkrel 1
Summary:        An audio tag editor
# investigate license with upstream, web site says GPLv3 whereas the files in
# the tarball say GPLv2
License:        GPLv2+
Group:          Sound/Utilities
Url:            http://docs.puddletag.net/
Source0:        https://github.com/keithgg/puddletag/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-use-mutagen-type-detection-for-ogg-files.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  imagemagick

Requires:       python3-qt5
Requires:       python3dist(mutagen)
Requires:       python3dist(configobj)
Requires:       python3dist(pyparsing)
Requires:       python3dist(musicbrainzngs)
Requires:       python3dist(markdown)

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (http://www.mp3tag.de). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%autosetup -p1

# remove shebang
sed -i 's,#!*/usr/bin/env python,,' puddlestuff/{puddleobjects.py,puddlesettings.py,puddletag.py}
sed -i 's,#! /usr/bin/env python,,' puddlestuff/webdb.py

%build
%py3_build

%install
%py3_install

# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,64x64,96x96,128x128,256x256}/apps

install -m 0644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

for i in 16x16 32x32 64x64 96x96 128x128; do
  convert -resize "$i" %{name}.png %{buildroot}%{_iconsdir}/hicolor/"$i"/apps/%{name}.png
done

%files
%doc changelog copyright NEWS THANKS TODO
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man?/%{name}.*


%changelog
* Sat Aug 29 2020 kekepower <kekepower> 2.0.1-1.mga8
+ Revision: 1619677
- Update to version 2.0.1

* Fri Nov 16 2018 kekepower <kekepower> 1.2.0-6.mga7
+ Revision: 1330211
- Actually apply said patch

* Fri Nov 16 2018 kekepower <kekepower> 1.2.0-5.mga7
+ Revision: 1330191
- Add patch to use mutagen type detection for .ogg files

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1288134
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1.2.0-3.mga7
+ Revision: 1221107
- change dependency mutagen for python2dist(mutagen)
- use new python provides

* Mon Feb 19 2018 daviddavid <daviddavid> 1.2.0-2.mga7
+ Revision: 1203230
- fix some python2 requires

* Mon Dec 05 2016 daviddavid <daviddavid> 1.2.0-1.mga6
+ Revision: 1072651
- new version: 1.2.0

* Tue Feb 09 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 951000
- Mageia 6 Mass Rebuild

* Tue Feb 02 2016 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 932957
- new version: 1.1.1
- use new python macros
- new upstream URL and Source URL
- add more icons

* Sat Nov 29 2014 daviddavid <daviddavid> 1.0.5-1.mga5
+ Revision: 799949
- new version: 1.0.5
- update Source0 Url
- add the changelog file in doc package

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 740233
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 727965
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 687832
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 542903
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-3.mga4
+ Revision: 498043
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 10 2013 wally <wally> 1.0.1-2.mga4
+ Revision: 452592
- drop requires for python-imaging

* Wed Jul 10 2013 wally <wally> 1.0.1-1.mga4
+ Revision: 452587
- new version 1.0.1
- clean .spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 0.10.3-3.mga3
+ Revision: 378302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.10.3-2.mga3
+ Revision: 324480
- update RPM group

* Fri May 13 2011 ahmad <ahmad> 0.10.3-1.mga1
+ Revision: 97801
- imported package puddletag

